package tcra.exercises;

import java.util.*;
import tcra.math.*;
import tcra.exercises.stack_reasoning_private.*;

public class StackReasoningExercise extends TCRAExercise
{
   public StackReasoningExercise()
   {
      super("public interface Stack");
      contracts     = new Vector<MethodContract>();
      contracts.add(new StackPushContract());
      contracts.add(new StackPopContract());
      contracts.add(new StackTopContract());
      contracts.add(new StackLengthContract());
      contracts.add(new StackClearContract());
   } // end ctor

   public MathModel getMathRep() { return new MathStringModel(); }
} // end class
